Vamos lá,
realmente o ZCXOracleDA não é dos melhores e descobri que alguns membros da
comunidade até escreveram um outro com o mesmo nome.
O problema maior é o cliente oracle.
Antes de tudo garanta de o cliente oracle está instalado na máquina
(qualquer SO)
Depois baixe a biblioteca cx_oracle para python e instale no python do Zope.
Faça uns testes em python conectando e submetendo querys.
Só depois parta para o produto.
Lembre-se de respeitar as versões indicadas das bibliotecas.
Enfim, assim como a maioria dos DA´s o problema maior não é produto e sim a
instalar a infra ou dependências deste.
De qualquer forma, concordo com a sugestão do Zénrique, tente achar algo
mais fácil se puder.
No caso do ZPyODBCDA você terá que ter instalado o unixOdbc, que em alguns
caso pode ser um problema também.
Por fim, retomo a história do ZCXOracleDA, ele foi criado para tentar
resolver o problema do ZOracleDA baseado na biblioteca dco oracle para
python, que apresentava problemas e leak de memória. A cx_Oracle é mais
estável e em constante evolução, na época escrevi o produto me antecipando a
uma demanda de onde eu trabalhava que não se concretizou, portanto o produto
não foi evoluído, era mais uma prova conceito do que um produto, divulguei
na comunidade para que utilizassem e descobri que só um cara no exterior
realmente pegou o produto para produção.
Enfim, tente encontrar algum produto com uma comunidade ativa.

Abraços.
TOM



Em 03/04/08, José Henrique <[EMAIL PROTECTED]> escreveu:
>
>   Em 03/04/08, ROBSON VIRINO - GEINF<[EMAIL 
> PROTECTED]<rvirino%40cagece.com.br>>
> escreveu:
> > Olá, amigos.
> >
> > Alguém sabe como faço para usar o ZcxOracleDA, pra conectar o Zope em
> > views no Oracle 9i?
> >
> > Preciso de um breve passo-a-passo.
> >
> > Já procurei outros conectores, mas encontrei quando apenas pagos ou para
> > versoes antigas do Oracle.
> >
> > Li que esse produto do Tom era muito bom, mas nao sei como usa-lo...
> > alguém ja o usou? Como o fez?
> >
> > Plone 2.5.2,
> > CMF-1.6.2,
> > Zope (Zope 2.9.6-final, python 2.4.3, win32),
> > Five 1.3.8,
> > Python 2.4.3 (#69, Mar 29 2006, 17:35:34) [MSC v.1310 32 bit (Intel)],
> > PIL 1.1.5
> >
> > Abraços!
> >
> > Robson Virino.
> >
> > ------------------------------------
>
> Para Windows estou usando o ZPyODBCA [1] e não estou tendo problemas.
> Sua instalação e configuração é muito simples.
>
> Já tentei usar o ZcxOracleDA, mas infelizmente não conseguir fazer o
> cxOracle interagir com o cliente Oracle instalado em minha máquina.
>
> Zénrique.
>
> [1] http://code.google.com/p/zpyodbcda/
>  
>



-- 
Cordialmente,
Wilton Souza Alencar
www.tom.pro.br

Responder a